GNU bug report logs - #22289
24.3; ImageMagick-related crash with .art file

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: emacs; Reported by: Alex Burr <ajb44.geo@HIDDEN>; merged with #34346; dated Sat, 2 Jan 2016 02:52:02 UTC; Maintainer for emacs is bug-gnu-emacs@HIDDEN.
Merged 22289 34346. Request was from Glenn Morris <rgm@HIDDEN> to control <at> debbugs.gnu.org. Full text available.
Changed bug title to '24.3; ImageMagick-related crash with .art file' from '24.3; Emacs crashes on loading file' Request was from Glenn Morris <rgm@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at 22289 <at> debbugs.gnu.org:


Received: (at 22289) by debbugs.gnu.org; 2 Jan 2016 14:29:42 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Jan 02 09:29:42 2016
Received: from localhost ([127.0.0.1]:34333 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1aFNBY-0000et-HP
	for submit <at> debbugs.gnu.org; Sat, 02 Jan 2016 09:29:42 -0500
Received: from nm6-vm2.bullet.mail.ne1.yahoo.com ([98.138.90.154]:56544)
 by debbugs.gnu.org with esmtp (Exim 4.84)
 (envelope-from <ajb44.geo@HIDDEN>) id 1aFNBS-0000eb-Ut
 for 22289 <at> debbugs.gnu.org; Sat, 02 Jan 2016 09:29:34 -0500
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=yahoo.com; s=s2048;
 t=1451744964; bh=j0Y5XGwlodg7CqTsLGIJVUs+YPbM9iHtHVszuKUIYcU=;
 h=Date:From:Reply-To:To:Cc:In-Reply-To:References:Subject:From:Subject;
 b=QvbdnupLeKjGDC/IwcTwfvrfbCHaDVoGxW0lGsXK0TC7kaRR1TA6nLA+0sX6/MBPed5HuKtVY5SLq5Q9AfRuS++JCNMe0BX6T32fsElJ90O8rZArpMJTU5NVwWxpM0gg7gWxgvT4jW10RK5jTUxSO40mhqMwxCqjwMWuVlLEiJCgZ2MmzBpsKM9pSM+VPV/uRKoV+LbZwJbdPE6uK+qqWf7ySPbq9Zf5SUhk3eunoKUv1RARfD3BYm2GfM4BGsieuLZZkY1FsiMryQdppqlFNYOdG6Qc0tA+A/cCPNUEDhIpCnRrwfsSlCwc/AUT4KH31EWQaX6uoAZunjPaIDmcUQ==
Received: from [98.138.100.113] by nm6.bullet.mail.ne1.yahoo.com with NNFMP;
 02 Jan 2016 14:29:24 -0000
Received: from [98.138.89.253] by tm104.bullet.mail.ne1.yahoo.com with NNFMP;
 02 Jan 2016 14:29:24 -0000
Received: from [127.0.0.1] by omp1045.mail.ne1.yahoo.com with NNFMP;
 02 Jan 2016 14:29:24 -0000
X-Yahoo-Newman-Property: ymail-3
X-Yahoo-Newman-Id: 442059.88113.bm@HIDDEN
X-YMail-OSG: yRcIQGoVM1kBGDKLKC6IV_pB9lk3iRHxnrBwXKltrmex991UlG4N.fChmkVoFeG
 iJXlQLMjjPQnj9R6pQqzd1eJtVgI.TY8vCPO5JiksoTCwWh._OxdpLmRS6JeXOB3xi7sJ.u0nYjY
 dtyK.48lr5syIo5Id2XRkKm7Ak0fzmK41AC5FeYQWM7tZcN9YJ4.deHMF_lQU8.16s0HfS1s1fTK
 b1SS1D3U7KfKP9.oySzIc5pOwlC0hGiOUcOCoWJCwficMItIJSWJIYROuRIHt9zZa35MWT6RX3T5
 5hlgyg2RMujne0hbbKbC1p2GG1Z3W_e.zfWTAREJCSHnoazJw9S179cXpG5DqBfpjoOZMKCFgb3T
 VueNZkSi_NKrLNRypRR7AU1toNmMo_scdvVAg3lXrY9nq3QWDcFntxVH7VE0UOj4BZSiIwcKGbCf
 luKeAwMPZB_UHbsUizj9Us.asIa_0kfUi2fGM4p2z3ZPd5ygLs9pRKmdWD6mTtGQadCrWPH3rrPY
 P33mO_zhaJp96jJ3ddF8n4GggoGOKHM6OJmMXf_oh61UTDxvrxtSus9wr2vhJyjlnLDzXXDdfGCX
 z2LQnmZRPh8NEzj43jVimnoSgcgkUdmiKvQE8TyEzCPq2EPf_Tows
Received: by 98.138.105.203; Sat, 02 Jan 2016 14:29:23 +0000 
Date: Sat, 2 Jan 2016 14:29:23 +0000 (UTC)
From: Alex Burr <ajb44.geo@HIDDEN>
To: Eli Zaretskii <eliz@HIDDEN>, Lars Magne Ingebrigtsen <larsi@HIDDEN>
Message-ID: <1605685633.2833085.1451744963641.JavaMail.yahoo@HIDDEN>
In-Reply-To: <83ege0crpi.fsf@HIDDEN>
References: <83ege0crpi.fsf@HIDDEN>
Subject: Re: bug#22289: 24.3; Emacs crashes on loading file
MIME-Version: 1.0
Content-Type: multipart/alternative; 
 boundary="----=_Part_2833084_1421718513.1451744963635"
Content-Length: 7857
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 22289
Cc: "22289 <at> debbugs.gnu.org" <22289 <at> debbugs.gnu.org>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Reply-To: Alex Burr <ajb44.geo@HIDDEN>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.7 (/)

------=_Part_2833084_1421718513.1451744963635
Content-Type: text/plain; charset=UTF-8
Content-Transfer-Encoding: quoted-printable

Yes, it seems to have been compiled with imagemagick support. I don't have =
14Gb of ram :-)So, the problem is then that this is not any kind of image. =
It's a text file (actually a
program for http://art.kano.me, which expects coffeescript). If I run:=20
=C2=A0convert Identify nelson.artimagemagick tells me that I have a 26708x2=
9472 1-bit ART image, which explains the problem!
It loads normally if I rename the file not to have the .art suffix. So I ca=
n solve my immediate problem.

It's not clear to me whether imagemagick is making a real mistake here. it =
doesn't seemto do any significant checking on the image header: https://git=
hub.com/ImageMagick/ImageMagick/blob/7ce65e7125a4e1df1a274ce373c537a9df9c16=
cd/coders/art.cHowever these old formats often didn't include any redundanc=
y anyway.
However it does seem like any filename ending in .art is a bit dangerous fo=
r emacs at the moment.
Alex

=20

=20

=20
      From: Eli Zaretskii <eliz@HIDDEN>
 To: Lars Magne Ingebrigtsen <larsi@HIDDEN>=20
Cc: ajb44.geo@HIDDEN; 22289 <at> debbugs.gnu.org
 Sent: Saturday, January 2, 2016 8:26 AM
 Subject: Re: bug#22289: 24.3; Emacs crashes on loading file
  =20
> From: Lars Magne Ingebrigtsen <larsi@HIDDEN>
> Date: Sat, 02 Jan 2016 03:57:17 +0100
> Cc: 22289 <at> debbugs.gnu.org
>=20
> Alex Burr <ajb44.geo@HIDDEN> writes:
>=20
> > 1) loaded attached file 'nelson.art' with ctrl-x f
> > 2) emacs then proceeded to malloc all core, causing linux to grind to a=
 halt.
>=20
> If I save the image to a file and then use "display" to display it, my
> machine grinds to a halt for 15 seconds, and then display says it can't
> display it...
>=20
> Could be an imagemagick bug of some kind...

Alex, was your Emacs compiled with Imagemagick support?=C2=A0 Mine wasn't,
so visiting that file does nothing special.


  =20

------=_Part_2833084_1421718513.1451744963635
Content-Type: text/html; charset=UTF-8
Content-Transfer-Encoding: quoted-printable

<html><head></head><body><div style=3D"color:#000; background-color:#fff; f=
ont-family:HelveticaNeue-Light, Helvetica Neue Light, Helvetica Neue, Helve=
tica, Arial, Lucida Grande, sans-serif;font-size:16px"><div class=3D"" id=
=3D"yui_3_16_0_1_1450894093388_43907">Yes, it seems to have been compiled w=
ith imagemagick support.</div><div id=3D"yui_3_16_0_1_1450894093388_45769" =
class=3D""> I don't have 14Gb of ram :-)</div><div class=3D"" id=3D"yui_3_1=
6_0_1_1450894093388_43908">So, the problem is then that this is not any kin=
d of image. It's a text file (actually a<br class=3D"" id=3D"yui_3_16_0_1_1=
450894093388_45672"></div><div class=3D"" dir=3D"ltr" id=3D"yui_3_16_0_1_14=
50894093388_43978">program for http://art.kano.me, which expects coffeescri=
pt). If I run: <br></div><div id=3D"yui_3_16_0_1_1450894093388_45809" class=
=3D"" dir=3D"ltr">&nbsp;convert Identify nelson.art</div><div id=3D"yui_3_1=
6_0_1_1450894093388_45782" class=3D"" dir=3D"ltr">imagemagick tells me that=
 I have a 26708x29472 1-bit ART image, which explains the problem!<br></div=
><div id=3D"yui_3_16_0_1_1450894093388_45812" class=3D"" dir=3D"ltr">It loa=
ds normally if I rename the file not to have the .art suffix. So I can solv=
e my immediate problem.<br></div><div id=3D"yui_3_16_0_1_1450894093388_4584=
4" class=3D"" dir=3D"ltr"><br></div><div id=3D"yui_3_16_0_1_1450894093388_4=
5845" class=3D"" dir=3D"ltr">It's not clear to me whether imagemagick is ma=
king a real mistake here. it doesn't seem</div><div id=3D"yui_3_16_0_1_1450=
894093388_47358" class=3D"" dir=3D"ltr">to do any significant checking on t=
he image header: <a id=3D"yui_3_16_0_1_1450894093388_49548" href=3D"https:/=
/github.com/ImageMagick/ImageMagick/blob/7ce65e7125a4e1df1a274ce373c537a9df=
9c16cd/coders/art.c">https://github.com/ImageMagick/ImageMagick/blob/7ce65e=
7125a4e1df1a274ce373c537a9df9c16cd/coders/art.c</a></div><div id=3D"yui_3_1=
6_0_1_1450894093388_49569" class=3D"" dir=3D"ltr">However these old formats=
 often didn't include any redundancy anyway.</div><div id=3D"yui_3_16_0_1_1=
450894093388_51779" class=3D"" dir=3D"ltr"><br></div><div id=3D"yui_3_16_0_=
1_1450894093388_50683" class=3D"" dir=3D"ltr">However it does seem like any=
 filename ending in .art is a bit dangerous for emacs at the moment.</div><=
div id=3D"yui_3_16_0_1_1450894093388_52879" class=3D"" dir=3D"ltr"><br></di=
v><div class=3D"" dir=3D"ltr">Alex</div><div class=3D"" dir=3D"ltr"><br></d=
iv><div id=3D"yui_3_16_0_1_1450894093388_45794" class=3D"" dir=3D"ltr"><br =
class=3D"" id=3D"yui_3_16_0_1_1450894093388_45675"></div><div class=3D"" id=
=3D"yui_3_16_0_1_1450894093388_43940"> <br class=3D"" id=3D"yui_3_16_0_1_14=
50894093388_45678"></div><div id=3D"yui_3_16_0_1_1450894093388_45668"><span=
></span></div><br> <div id=3D"yui_3_16_0_1_1450894093388_45711" class=3D"qt=
dSeparateBR"><br><br></div><div style=3D"display: block;" id=3D"yui_3_16_0_=
1_1450894093388_45710" class=3D"yahoo_quoted"> <blockquote id=3D"yui_3_16_0=
_1_1450894093388_45709" style=3D"border-left: 2px solid rgb(16, 16, 255); m=
argin-left: 5px; margin-top: 5px; padding-left: 5px;"> <div id=3D"yui_3_16_=
0_1_1450894093388_45708" style=3D"font-family: HelveticaNeue-Light, Helveti=
ca Neue Light, Helvetica Neue, Helvetica, Arial, Lucida Grande, sans-serif;=
 font-size: 16px;"> <div id=3D"yui_3_16_0_1_1450894093388_45707" style=3D"f=
ont-family: HelveticaNeue, Helvetica Neue, Helvetica, Arial, Lucida Grande,=
 sans-serif; font-size: 16px;"> <div id=3D"yui_3_16_0_1_1450894093388_45706=
" dir=3D"ltr"> <font id=3D"yui_3_16_0_1_1450894093388_45705" face=3D"Arial"=
 size=3D"2"> <hr size=3D"1"> <b><span style=3D"font-weight:bold;">From:</sp=
an></b> Eli Zaretskii &lt;eliz@HIDDEN&gt;<br> <b><span style=3D"font-weigh=
t: bold;">To:</span></b> Lars Magne Ingebrigtsen &lt;larsi@HIDDEN&gt; <br=
><b><span style=3D"font-weight: bold;">Cc:</span></b> ajb44.geo@HIDDEN; =
22289 <at> debbugs.gnu.org<br> <b><span style=3D"font-weight: bold;">Sent:</span=
></b> Saturday, January 2, 2016 8:26 AM<br> <b><span style=3D"font-weight: =
bold;">Subject:</span></b> Re: bug#22289: 24.3; Emacs crashes on loading fi=
le<br> </font> </div> <div class=3D"y_msg_container"><br>&gt; From: Lars Ma=
gne Ingebrigtsen &lt;<a shape=3D"rect" ymailto=3D"mailto:larsi@HIDDEN" hr=
ef=3D"mailto:larsi@HIDDEN">larsi@HIDDEN</a>&gt;<div class=3D"yqt2917755=
478" id=3D"yqtfd16204"><br clear=3D"none">&gt; Date: Sat, 02 Jan 2016 03:57=
:17 +0100<br clear=3D"none">&gt; Cc: <a shape=3D"rect" ymailto=3D"mailto:22=
289 <at> debbugs.gnu.org" href=3D"mailto:22289 <at> debbugs.gnu.org">22289@HIDDEN=
u.org</a><br clear=3D"none">&gt; <br clear=3D"none">&gt; Alex Burr &lt;<a s=
hape=3D"rect" ymailto=3D"mailto:ajb44.geo@HIDDEN" href=3D"mailto:ajb44.g=
eo@HIDDEN">ajb44.geo@HIDDEN</a>&gt; writes:<br clear=3D"none">&gt; <b=
r clear=3D"none">&gt; &gt; 1) loaded attached file 'nelson.art' with ctrl-x=
 f<br clear=3D"none">&gt; &gt; 2) emacs then proceeded to malloc all core, =
causing linux to grind to a halt.<br clear=3D"none">&gt; <br clear=3D"none"=
>&gt; If I save the image to a file and then use "display" to display it, m=
y<br clear=3D"none">&gt; machine grinds to a halt for 15 seconds, and then =
display says it can't<br clear=3D"none">&gt; display it...<br clear=3D"none=
">&gt; <br clear=3D"none">&gt; Could be an imagemagick bug of some kind...<=
/div><br clear=3D"none"><br clear=3D"none">Alex, was your Emacs compiled wi=
th Imagemagick support?&nbsp; Mine wasn't,<br clear=3D"none">so visiting th=
at file does nothing special.<div class=3D"yqt2917755478" id=3D"yqtfd31182"=
><br clear=3D"none"></div><br><br></div> </div> </div> </blockquote> </div>=
</div></body></html>
------=_Part_2833084_1421718513.1451744963635--




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#22289; Package emacs. Full text available.

Message received at 22289 <at> debbugs.gnu.org:


Received: (at 22289) by debbugs.gnu.org; 2 Jan 2016 08:27:59 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Jan 02 03:27:59 2016
Received: from localhost ([127.0.0.1]:34279 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1aFHXY-0005of-6d
	for submit <at> debbugs.gnu.org; Sat, 02 Jan 2016 03:27:59 -0500
Received: from eggs.gnu.org ([208.118.235.92]:57149)
 by debbugs.gnu.org with esmtp (Exim 4.84)
 (envelope-from <eliz@HIDDEN>) id 1aFHXT-0005oN-L6
 for 22289 <at> debbugs.gnu.org; Sat, 02 Jan 2016 03:27:55 -0500
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <eliz@HIDDEN>) id 1aFHXK-00025f-NC
 for 22289 <at> debbugs.gnu.org; Sat, 02 Jan 2016 03:27:46 -0500
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=-1.9 required=5.0 tests=BAYES_00,RP_MATCHES_RCVD
 autolearn=disabled version=3.3.2
Received: from fencepost.gnu.org ([2001:4830:134:3::e]:48938)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <eliz@HIDDEN>)
 id 1aFHXK-00025Z-JM; Sat, 02 Jan 2016 03:27:42 -0500
Received: from 84.94.185.246.cable.012.net.il ([84.94.185.246]:1255
 helo=HOME-C4E4A596F7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_128_CBC_SHA1:128)
 (Exim 4.82) (envelope-from <eliz@HIDDEN>)
 id 1aFHXK-0006S2-0M; Sat, 02 Jan 2016 03:27:42 -0500
Date: Sat, 02 Jan 2016 10:27:39 +0200
Message-Id: <83bn94crno.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Lars Magne Ingebrigtsen <larsi@HIDDEN>
In-reply-to: <m337ugheks.fsf@HIDDEN> (message from Lars Magne Ingebrigtsen
 on Sat, 02 Jan 2016 03:58:59 +0100)
Subject: Re: bug#22289: 24.3; Emacs crashes on loading file
References: <2098501644.4593027.1451664893765.JavaMail.yahoo.ref@HIDDEN>
 <2098501644.4593027.1451664893765.JavaMail.yahoo@HIDDEN>
 <m337ugheks.fsf@HIDDEN>
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Received-From: 2001:4830:134:3::e
X-Spam-Score: -5.0 (-----)
X-Debbugs-Envelope-To: 22289
Cc: 22289 <at> debbugs.gnu.org, ajb44.geo@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Reply-To: Eli Zaretskii <eliz@HIDDEN>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -5.0 (-----)

> From: Lars Magne Ingebrigtsen <larsi@HIDDEN>
> Date: Sat, 02 Jan 2016 03:58:59 +0100
> Cc: 22289 <at> debbugs.gnu.org
> 
> I'm unable to make Emacs crash, though.  Emacs grows to 14GB, and
> then displays the "error" image.

Maybe your Imagemagick version is different.  Your Emacs version
certainly is ;-)




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#22289; Package emacs. Full text available.

Message received at 22289 <at> debbugs.gnu.org:


Received: (at 22289) by debbugs.gnu.org; 2 Jan 2016 08:26:54 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Jan 02 03:26:54 2016
Received: from localhost ([127.0.0.1]:34275 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1aFHWU-0005mn-IG
	for submit <at> debbugs.gnu.org; Sat, 02 Jan 2016 03:26:54 -0500
Received: from eggs.gnu.org ([208.118.235.92]:56768)
 by debbugs.gnu.org with esmtp (Exim 4.84)
 (envelope-from <eliz@HIDDEN>) id 1aFHWQ-0005mX-1U
 for 22289 <at> debbugs.gnu.org; Sat, 02 Jan 2016 03:26:49 -0500
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <eliz@HIDDEN>) id 1aFHWG-0001sD-S9
 for 22289 <at> debbugs.gnu.org; Sat, 02 Jan 2016 03:26:40 -0500
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=0.8 required=5.0 tests=BAYES_50,RP_MATCHES_RCVD
 autolearn=disabled version=3.3.2
Received: from fencepost.gnu.org ([2001:4830:134:3::e]:48915)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <eliz@HIDDEN>)
 id 1aFHWG-0001s3-Oq; Sat, 02 Jan 2016 03:26:36 -0500
Received: from 84.94.185.246.cable.012.net.il ([84.94.185.246]:1251
 helo=HOME-C4E4A596F7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_128_CBC_SHA1:128)
 (Exim 4.82) (envelope-from <eliz@HIDDEN>)
 id 1aFHWF-0005Dw-TX; Sat, 02 Jan 2016 03:26:36 -0500
Date: Sat, 02 Jan 2016 10:26:33 +0200
Message-Id: <83ege0crpi.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Lars Magne Ingebrigtsen <larsi@HIDDEN>
In-reply-to: <m37fjshenm.fsf@HIDDEN> (message from Lars Magne Ingebrigtsen
 on Sat, 02 Jan 2016 03:57:17 +0100)
Subject: Re: bug#22289: 24.3; Emacs crashes on loading file
References: <2098501644.4593027.1451664893765.JavaMail.yahoo.ref@HIDDEN>
 <2098501644.4593027.1451664893765.JavaMail.yahoo@HIDDEN>
 <m37fjshenm.fsf@HIDDEN>
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Received-From: 2001:4830:134:3::e
X-Spam-Score: -5.0 (-----)
X-Debbugs-Envelope-To: 22289
Cc: 22289 <at> debbugs.gnu.org, ajb44.geo@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Reply-To: Eli Zaretskii <eliz@HIDDEN>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -5.0 (-----)

> From: Lars Magne Ingebrigtsen <larsi@HIDDEN>
> Date: Sat, 02 Jan 2016 03:57:17 +0100
> Cc: 22289 <at> debbugs.gnu.org
> 
> Alex Burr <ajb44.geo@HIDDEN> writes:
> 
> > 1) loaded attached file 'nelson.art' with ctrl-x f
> > 2) emacs then proceeded to malloc all core, causing linux to grind to a halt.
> 
> If I save the image to a file and then use "display" to display it, my
> machine grinds to a halt for 15 seconds, and then display says it can't
> display it...
> 
> Could be an imagemagick bug of some kind...

Alex, was your Emacs compiled with Imagemagick support?  Mine wasn't,
so visiting that file does nothing special.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#22289; Package emacs. Full text available.

Message received at 22289 <at> debbugs.gnu.org:


Received: (at 22289) by debbugs.gnu.org; 2 Jan 2016 02:59:23 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Jan 01 21:59:23 2016
Received: from localhost ([127.0.0.1]:34211 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1aFCPb-0004gZ-FU
	for submit <at> debbugs.gnu.org; Fri, 01 Jan 2016 21:59:23 -0500
Received: from hermes.netfonds.no ([80.91.224.195]:46265)
 by debbugs.gnu.org with esmtp (Exim 4.84)
 (envelope-from <larsi@HIDDEN>) id 1aFCPZ-0004gS-Sb
 for 22289 <at> debbugs.gnu.org; Fri, 01 Jan 2016 21:59:22 -0500
Received: from cm-84.215.1.64.getinternet.no ([84.215.1.64] helo=stories)
 by hermes.netfonds.no with esmtpsa (TLS1.0:DHE_RSA_AES_128_CBC_SHA1:16)
 (Exim 4.72) (envelope-from <larsi@HIDDEN>)
 id 1aFCPE-0004oa-DQ; Sat, 02 Jan 2016 03:59:00 +0100
From: Lars Magne Ingebrigtsen <larsi@HIDDEN>
To: Alex Burr <ajb44.geo@HIDDEN>
Subject: Re: bug#22289: 24.3; Emacs crashes on loading file
References: <2098501644.4593027.1451664893765.JavaMail.yahoo.ref@HIDDEN>
 <2098501644.4593027.1451664893765.JavaMail.yahoo@HIDDEN>
Face: iVBORw0KGgoAAAANSUhEUgAAADAAAAAwBAMAAAClLOS0AAAAD1BMVEVBW0ElMyajzHYPFRAD
 BAPOi9M7AAACa0lEQVQ4jT2Ui3EDIQxEBbgAdKIATk4BYCjAF9F/TVlxdjQTYusBWn0wqQZVykSJ
 x2AWadKIz0Fa6dCaKVbunWFEMXHoAArAJxOPLiLMOB2rOIhaAwUS6TJgmUlTItUKQJFCT+O2nusE
 fCG4ksbAe/+0PgbNRtrToW71Btt0QtU1b4D7NukhpPgAaCm6+9iIpTfIj1Ctbbj/bL5SscDzqEyQ
 O2wDl1Chy8aAyjRJ5b0DVF9Z5hhLkjDAV5QvrZAEqOUXU7xddeNYMkQv404Ubt9NbR7Jo+QBgXr+
 6sfOqxxp9mlEiqvCP5jX7JSDWO4nBV7vj/+5YGiV2EDpRf7BjwG8QxYzetKV1uXthYSHn7i8mG9U
 pxcHM3LWMgFMaw9REX7iqor6UN1gRc1BY0bm61drySrrtr1bAWhC7iMrrYUTtpqX34chzJfSD9WY
 3ojeJiLW4WWP0FOeQc4n7xOouiYUK4+XhlWw+SfsGOPw/mMeVkf8BdHLNggvdLJ2DIBcwgDHLWpI
 QwyMIz6u1Ve56hdwjKkN8i+e2O8HYOAhHTEe9/f5/gKCcjSfuMmuxPX04FBLISL5QOuSuYv3WORA
 NMSgB4DhsWBmYNmXrg3vI3qFDAfmxD1XWRy44sVlB3daSGdiBzpNc/TRlGwngmV6ZYONgs94CLTd
 /mfTzLJ01MfuEx55K5WBWWdvmINv5iB2jdSCA3tt0IF4DTO8JqZc3BUJdYUauzCx0zOiUfxeon2P
 Oezw4o3LvNaVT/qEQIKdUuMWH55rTp/MkTqOhNSZCmLgrdO/KPwzWch6rjKw4Xba8N4hOdcwEn6f
 /gAO8bHByN/HUgAAAABJRU5ErkJggg==
Date: Sat, 02 Jan 2016 03:58:59 +0100
In-Reply-To: <2098501644.4593027.1451664893765.JavaMail.yahoo@HIDDEN>
 (Alex Burr's message of "Fri, 1 Jan 2016 16:14:53 +0000 (UTC)")
Message-ID: <m337ugheks.fsf@HIDDEN>
User-Agent: Gnus/5.130014 (Ma Gnus v0.14) Emacs/25.1.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-MailScanner-ID: 1aFCPE-0004oa-DQ
X-Netfonds-MailScanner: Found to be clean
X-Netfonds-MailScanner-From: larsi@HIDDEN
MailScanner-NULL-Check: 1452308340.57557@ETO1rtxq11dPqyEexT7SJg
X-Spam-Status: No
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 22289
Cc: 22289 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.7 (/)

I'm unable to make Emacs crash, though.  Emacs grows to 14GB, and
then displays the "error" image.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#22289; Package emacs. Full text available.

Message received at 22289 <at> debbugs.gnu.org:


Received: (at 22289) by debbugs.gnu.org; 2 Jan 2016 02:57:42 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Jan 01 21:57:42 2016
Received: from localhost ([127.0.0.1]:34207 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1aFCNy-0004du-48
	for submit <at> debbugs.gnu.org; Fri, 01 Jan 2016 21:57:42 -0500
Received: from hermes.netfonds.no ([80.91.224.195]:46259)
 by debbugs.gnu.org with esmtp (Exim 4.84)
 (envelope-from <larsi@HIDDEN>) id 1aFCNw-0004dm-Gz
 for 22289 <at> debbugs.gnu.org; Fri, 01 Jan 2016 21:57:40 -0500
Received: from cm-84.215.1.64.getinternet.no ([84.215.1.64] helo=stories)
 by hermes.netfonds.no with esmtpsa (TLS1.0:DHE_RSA_AES_128_CBC_SHA1:16)
 (Exim 4.72) (envelope-from <larsi@HIDDEN>)
 id 1aFCNa-0004nC-Ty; Sat, 02 Jan 2016 03:57:19 +0100
From: Lars Magne Ingebrigtsen <larsi@HIDDEN>
To: Alex Burr <ajb44.geo@HIDDEN>
Subject: Re: bug#22289: 24.3; Emacs crashes on loading file
References: <2098501644.4593027.1451664893765.JavaMail.yahoo.ref@HIDDEN>
 <2098501644.4593027.1451664893765.JavaMail.yahoo@HIDDEN>
Face: iVBORw0KGgoAAAANSUhEUgAAADAAAAAwBAMAAAClLOS0AAAAD1BMVEVBW0ElMyajzHYPFRAD
 BAPOi9M7AAACa0lEQVQ4jT2Ui3EDIQxEBbgAdKIATk4BYCjAF9F/TVlxdjQTYusBWn0wqQZVykSJ
 x2AWadKIz0Fa6dCaKVbunWFEMXHoAArAJxOPLiLMOB2rOIhaAwUS6TJgmUlTItUKQJFCT+O2nusE
 fCG4ksbAe/+0PgbNRtrToW71Btt0QtU1b4D7NukhpPgAaCm6+9iIpTfIj1Ctbbj/bL5SscDzqEyQ
 O2wDl1Chy8aAyjRJ5b0DVF9Z5hhLkjDAV5QvrZAEqOUXU7xddeNYMkQv404Ubt9NbR7Jo+QBgXr+
 6sfOqxxp9mlEiqvCP5jX7JSDWO4nBV7vj/+5YGiV2EDpRf7BjwG8QxYzetKV1uXthYSHn7i8mG9U
 pxcHM3LWMgFMaw9REX7iqor6UN1gRc1BY0bm61drySrrtr1bAWhC7iMrrYUTtpqX34chzJfSD9WY
 3ojeJiLW4WWP0FOeQc4n7xOouiYUK4+XhlWw+SfsGOPw/mMeVkf8BdHLNggvdLJ2DIBcwgDHLWpI
 QwyMIz6u1Ve56hdwjKkN8i+e2O8HYOAhHTEe9/f5/gKCcjSfuMmuxPX04FBLISL5QOuSuYv3WORA
 NMSgB4DhsWBmYNmXrg3vI3qFDAfmxD1XWRy44sVlB3daSGdiBzpNc/TRlGwngmV6ZYONgs94CLTd
 /mfTzLJ01MfuEx55K5WBWWdvmINv5iB2jdSCA3tt0IF4DTO8JqZc3BUJdYUauzCx0zOiUfxeon2P
 Oezw4o3LvNaVT/qEQIKdUuMWH55rTp/MkTqOhNSZCmLgrdO/KPwzWch6rjKw4Xba8N4hOdcwEn6f
 /gAO8bHByN/HUgAAAABJRU5ErkJggg==
Date: Sat, 02 Jan 2016 03:57:17 +0100
In-Reply-To: <2098501644.4593027.1451664893765.JavaMail.yahoo@HIDDEN>
 (Alex Burr's message of "Fri, 1 Jan 2016 16:14:53 +0000 (UTC)")
Message-ID: <m37fjshenm.fsf@HIDDEN>
User-Agent: Gnus/5.130014 (Ma Gnus v0.14) Emacs/25.1.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-MailScanner-ID: 1aFCNa-0004nC-Ty
X-Netfonds-MailScanner: Found to be clean
X-Netfonds-MailScanner-From: larsi@HIDDEN
MailScanner-NULL-Check: 1452308239.10427@8OQ/Jljqvq4xhPPbKCK82g
X-Spam-Status: No
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 22289
Cc: 22289 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.7 (/)

Alex Burr <ajb44.geo@HIDDEN> writes:

> 1) loaded attached file 'nelson.art' with ctrl-x f
> 2) emacs then proceeded to malloc all core, causing linux to grind to a halt.

If I save the image to a file and then use "display" to display it, my
machine grinds to a halt for 15 seconds, and then display says it can't
display it...

Could be an imagemagick bug of some kind...

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#22289; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 2 Jan 2016 02:51:47 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Jan 01 21:51:47 2016
Received: from localhost ([127.0.0.1]:34198 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1aFCIE-0004Uo-Kt
	for submit <at> debbugs.gnu.org; Fri, 01 Jan 2016 21:51:47 -0500
Received: from eggs.gnu.org ([208.118.235.92]:33965)
 by debbugs.gnu.org with esmtp (Exim 4.84)
 (envelope-from <ajb44.geo@HIDDEN>) id 1aFBAs-00068D-2U
 for submit <at> debbugs.gnu.org; Fri, 01 Jan 2016 20:40:06 -0500
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <ajb44.geo@HIDDEN>) id 1aF2M2-0005C8-9X
 for submit <at> debbugs.gnu.org; Fri, 01 Jan 2016 11:15:04 -0500
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: **
X-Spam-Status: No, score=2.4 required=5.0 tests=BAYES_50,FORGED_YAHOO_RCVD,
 FREEMAIL_FROM,HTML_MESSAGE,T_DKIM_INVALID autolearn=disabled version=3.3.2
Received: from lists.gnu.org ([2001:4830:134:3::11]:52263)
 by eggs.gnu.org with esmtp (Exim 4.71)
 (envelope-from <ajb44.geo@HIDDEN>) id 1aF2M2-0005Bv-5p
 for submit <at> debbugs.gnu.org; Fri, 01 Jan 2016 11:15:02 -0500
Received: from eggs.gnu.org ([2001:4830:134:3::10]:45933)
 by lists.gnu.org with esmtp (Exim 4.71)
 (envelope-from <ajb44.geo@HIDDEN>) id 1aF2Lz-0005zZ-VF
 for bug-gnu-emacs@HIDDEN; Fri, 01 Jan 2016 11:15:02 -0500
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <ajb44.geo@HIDDEN>) id 1aF2Lw-00057j-Mo
 for bug-gnu-emacs@HIDDEN; Fri, 01 Jan 2016 11:14:59 -0500
Received: from nm23-vm6.bullet.mail.ne1.yahoo.com ([98.138.91.116]:44237)
 by eggs.gnu.org with esmtp (Exim 4.71)
 (envelope-from <ajb44.geo@HIDDEN>) id 1aF2Lw-00057Y-C8
 for bug-gnu-emacs@HIDDEN; Fri, 01 Jan 2016 11:14:56 -0500
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=yahoo.com; s=s2048;
 t=1451664895; bh=cAnCYY0tri/NAr3vbmDUTRPk+HezSlGJj5t+45RRD+w=;
 h=Date:From:Reply-To:To:Subject:References:From:Subject;
 b=r/hkxXM00jr1OVrtKQH62U36FNIYxlRmubvlJH8lHEA035fZ9CHmCaMYPzKM5bXhBFWqtnS9UWkPbPD1EhkgToRYfYP1X2c1S5TsRZq1BFMV7yGjjkmvU8FJFW3m6O22uJmAUGnKhy2qilrjKzHMlGCB30LG7iKdCedRtCHz7vE9xQfAFAhj2SZ//ftxf3a2jXPrX73llB46izbRo0Np4NX6ulzB8ZSkw6259e8Tu2vL16kDaFkEB6RpP8CL5FngxiqqOjCf0LqJLVTeDquRD5o4kml2RYxviao/SY/pRXRYqI2rri4T0Xoe/XKe1t9qyl1fw8ei25F3cq19b3sUpQ==
Received: from [98.138.101.132] by nm23.bullet.mail.ne1.yahoo.com with NNFMP;
 01 Jan 2016 16:14:55 -0000
Received: from [98.138.89.233] by tm20.bullet.mail.ne1.yahoo.com with NNFMP;
 01 Jan 2016 16:14:55 -0000
Received: from [127.0.0.1] by omp1048.mail.ne1.yahoo.com with NNFMP;
 01 Jan 2016 16:14:55 -0000
X-Yahoo-Newman-Property: ymail-3
X-Yahoo-Newman-Id: 3061.26581.bm@HIDDEN
X-YMail-OSG: _7gFgyMVM1l4W0OVRJ3rtUE0Ni3DbFOQ1KRFPIMjcHQV4szYOpuIoJang.sHX2T
 .fkrA33ZYp_svYSHbF27dANNXOHevB.mdJehveXNnammNPlfwphJPD1dXcuDYP3dAKwd6EhUkbNI
 nLe2L8wRlQB_IBpr9whd9iLrid7Uh4XiAUfNzVEJZwsDbq5k6txG6ES_U9Beq3KfR8pANt9V_vS1
 .sMHTO60gdUONJGfUWW7zootjjlE00c5GETZCaqQR2BJM2KUI4hAHw_GNNktgquqAfDrofjpSZl9
 zUznhW9126wvEVdnYAt3CXVwwkGNVL5cCr5I06buvTQZoGetnz47CJKooNV7D6rFzVqommm6EAXT
 m8D1ADTi3dSmTez0Bcw3gEpahOAM0leGsRB6k9tnCAZldn3kfIr3FdvgCw83vRKg4U4XFDflogUV
 El8bhxMKtY2Z_Ui32AB0JraM4VmFtndzzW7lHHbscbaptaG_4Qzz7lnzeJXFPEeQ_9qNWDN2A4MK
 W35OxUtv3CvCeSniUgGcI.M5FLZbZRM1g1QTFU9p5oJ3mhCQfTif_D58-
Received: by 98.138.105.192; Fri, 01 Jan 2016 16:14:54 +0000 
Date: Fri, 1 Jan 2016 16:14:53 +0000 (UTC)
From: Alex Burr <ajb44.geo@HIDDEN>
To: "bug-gnu-emacs@HIDDEN" <bug-gnu-emacs@HIDDEN>
Message-ID: <2098501644.4593027.1451664893765.JavaMail.yahoo@HIDDEN>
Subject: 24.3; Emacs crashes on loading file
MIME-Version: 1.0
Content-Type: multipart/mixed; 
 boundary="----=_Part_4593026_1039524343.1451664893765"
References: <2098501644.4593027.1451664893765.JavaMail.yahoo.ref@HIDDEN>
Content-Length: 19413
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 3.x
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.6.x
X-Received-From: 2001:4830:134:3::11
X-Spam-Score: -3.3 (---)
X-Debbugs-Envelope-To: submit
X-Mailman-Approved-At: Fri, 01 Jan 2016 21:51:45 -0500
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Reply-To: Alex Burr <ajb44.geo@HIDDEN>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

------=_Part_4593026_1039524343.1451664893765
Content-Type: multipart/alternative; 
	boundary="----=_Part_4593025_1680735911.1451664893760"

------=_Part_4593025_1680735911.1451664893760
Content-Type: text/plain; charset=UTF-8
Content-Transfer-Encoding: quoted-printable

This bug report will be sent to the Bug-GNU-Emacs mailing list
and the GNU bug tracker at debbugs.gnu.org.=C2=A0 Please check that
the From: line contains a valid email address.=C2=A0 After a delay of up
to one day, you should receive an acknowledgment at that address.

Please write in English if possible, as the Emacs maintainers
usually do not have translators for other languages.

Please describe exactly what actions triggered the bug, and
the precise symptoms of the bug.=C2=A0 If you can, give a recipe
starting from `emacs -Q':

1) loaded attached file 'nelson.art' with ctrl-x f2) emacs then proceeded t=
o malloc all core, causing linux to grind to a halt.
Reproducable as the first command entered after emacs -Q.


If Emacs crashed, and you have the Emacs process in the gdb debugger,
please include the output from the following gdb commands:
=C2=A0=C2=A0=C2=A0 `bt full' and `xbacktrace'.
For information about debugging Emacs, please read the file
/usr/share/emacs/24.3/etc/DEBUG.


In GNU Emacs 24.3.1 (x86_64-pc-linux-gnu, GTK+ Version 3.10.7)
=C2=A0of 2014-03-07 on lamiak, modified by Debian
Windowing system distributor `The X.Org Foundation', version 11.0.11501000
System Description:=C2=A0=C2=A0=C2=A0 Ubuntu 14.04.3 LTS

Configured using:
=C2=A0`configure '--build' 'x86_64-linux-gnu' '--build' 'x86_64-linux-gnu'
=C2=A0'--prefix=3D/usr' '--sharedstatedir=3D/var/lib' '--libexecdir=3D/usr/=
lib'
=C2=A0'--localstatedir=3D/var/lib' '--infodir=3D/usr/share/info'
=C2=A0'--mandir=3D/usr/share/man' '--with-pop=3Dyes'
=C2=A0'--enable-locallisppath=3D/etc/emacs24:/etc/emacs:/usr/local/share/em=
acs/24.3/site-lisp:/usr/local/share/emacs/site-lisp:/usr/share/emacs/24.3/s=
ite-lisp:/usr/share/emacs/site-lisp'
=C2=A0'--with-crt-dir=3D/usr/lib/x86_64-linux-gnu' '--with-x=3Dyes'
=C2=A0'--with-x-toolkit=3Dgtk3' '--with-toolkit-scroll-bars'
=C2=A0'build_alias=3Dx86_64-linux-gnu' 'CFLAGS=3D-g -O2 -fstack-protector
=C2=A0--param=3Dssp-buffer-size=3D4 -Wformat -Werror=3Dformat-security -Wal=
l'
=C2=A0'LDFLAGS=3D-Wl,-Bsymbolic-functions -Wl,-z,relro'
=C2=A0'CPPFLAGS=3D-D_FORTIFY_SOURCE=3D2''

Important settings:
=C2=A0 value of $LANG: en_GB.UTF-8
=C2=A0 value of $XMODIFIERS: @im=3Dibus
=C2=A0 locale-coding-system: utf-8-unix
=C2=A0 default enable-multibyte-characters: t

Major mode: Fundamental

Minor modes in effect:
=C2=A0 tooltip-mode: t
=C2=A0 mouse-wheel-mode: t
=C2=A0 tool-bar-mode: t
=C2=A0 menu-bar-mode: t
=C2=A0 file-name-shadow-mode: t
=C2=A0 global-font-lock-mode: t
=C2=A0 blink-cursor-mode: t
=C2=A0 auto-composition-mode: t
=C2=A0 auto-encryption-mode: t
=C2=A0 auto-compression-mode: t
=C2=A0 buffer-read-only: t
=C2=A0 line-number-mode: t
=C2=A0 transient-mark-mode: t

Recent input:
<escape> x r e p o <tab> r <tab> <return>

Recent messages:
Loading 00debian-vars...done
Loading /etc/emacs/site-start.d/50dictionaries-common.el (source)...
Loading /var/cache/dictionaries-common/emacsen-ispell-dicts.el (source)...
Error while loading 50dictionaries-common: Symbol's value as variable is vo=
id: debian-aspell-only-dictionary-alist
For information about GNU Emacs and the GNU system, type C-h C-a.
Making completion list...

Load-path shadows:
/usr/share/emacs/24.3/site-lisp/debian-startup hides /usr/share/emacs/site-=
lisp/debian-startup

Features:
(shadow sort gnus-util mail-extr emacsbug message format-spec rfc822 mml
mml-sec mm-decode mm-bodies mm-encode mail-parse rfc2231 mailabbrev
gmm-utils mailheader sendmail rfc2047 rfc2045 ietf-drums mm-util
mail-prsvr mail-utils help-mode easymenu time-date tooltip ediff-hook
vc-hooks lisp-float-type mwheel x-win x-dnd tool-bar dnd fontset image
regexp-opt fringe tabulated-list newcomment lisp-mode register page
menu-bar rfn-eshadow timer select scroll-bar mouse jit-lock font-lock
syntax facemenu font-core frame cham georgian utf-8-lang misc-lang
vietnamese tibetan thai tai-viet lao korean japanese hebrew greek
romanian slovak czech european ethiopic indian cyrillic chinese
case-table epa-hook jka-cmpr-hook help simple abbrev minibuffer loaddefs
button faces cus-face macroexp files text-properties overlay sha1 md5
base64 format env code-pages mule custom widget hashtable-print-readable
backquote make-network-process dbusbind dynamic-setting
system-font-setting font-render-setting move-toolbar gtk x-toolkit x
multi-tty emacs)


------=_Part_4593025_1680735911.1451664893760
Content-Type: text/html; charset=UTF-8
Content-Transfer-Encoding: quoted-printable

<html><head></head><body><div style=3D"color:#000; background-color:#fff; f=
ont-family:HelveticaNeue-Light, Helvetica Neue Light, Helvetica Neue, Helve=
tica, Arial, Lucida Grande, sans-serif;font-size:16px"><div dir=3D"ltr" id=
=3D"yui_3_16_0_1_1451664450647_2571">This bug report will be sent to the Bu=
g-GNU-Emacs mailing list<br class=3D"" id=3D"yui_3_16_0_1_1451664450647_261=
2">and the GNU bug tracker at debbugs.gnu.org.&nbsp; Please check that<br c=
lass=3D"" id=3D"yui_3_16_0_1_1451664450647_2614">the From: line contains a =
valid email address.&nbsp; After a delay of up<br class=3D"" id=3D"yui_3_16=
_0_1_1451664450647_2616">to one day, you should receive an acknowledgment a=
t that address.<br class=3D"" id=3D"yui_3_16_0_1_1451664450647_2618"><br cl=
ass=3D"" id=3D"yui_3_16_0_1_1451664450647_2620">Please write in English if =
possible, as the Emacs maintainers<br class=3D"" id=3D"yui_3_16_0_1_1451664=
450647_2622">usually do not have translators for other languages.<br class=
=3D"" id=3D"yui_3_16_0_1_1451664450647_2624"><br class=3D"" id=3D"yui_3_16_=
0_1_1451664450647_2626">Please describe exactly what actions triggered the =
bug, and<br class=3D"" id=3D"yui_3_16_0_1_1451664450647_2628">the precise s=
ymptoms of the bug.&nbsp; If you can, give a recipe<br class=3D"" id=3D"yui=
_3_16_0_1_1451664450647_2630">starting from `emacs -Q':<br class=3D"" id=3D=
"yui_3_16_0_1_1451664450647_2632"><br class=3D"" id=3D"yui_3_16_0_1_1451664=
450647_2634">1) loaded attached file 'nelson.art' with ctrl-x f</div><div i=
d=3D"yui_3_16_0_1_1451664450647_2865" dir=3D"ltr">2) emacs then proceeded t=
o malloc all core, causing linux to grind to a halt.</div><div id=3D"yui_3_=
16_0_1_1451664450647_2979" dir=3D"ltr"><br></div><div id=3D"yui_3_16_0_1_14=
51664450647_2987" dir=3D"ltr">Reproducable as the first command entered aft=
er emacs -Q.<br></div><div id=3D"yui_3_16_0_1_1451664450647_2884" dir=3D"lt=
r"><br></div><div id=3D"yui_3_16_0_1_1451664450647_2972" dir=3D"ltr"><br></=
div><div id=3D"yui_3_16_0_1_1451664450647_2930" dir=3D"ltr">If Emacs crashe=
d, and you have the Emacs process in the gdb debugger,<br class=3D"" id=3D"=
yui_3_16_0_1_1451664450647_2640">please include the output from the followi=
ng gdb commands:<br class=3D"" id=3D"yui_3_16_0_1_1451664450647_2642">&nbsp=
;&nbsp;&nbsp; `bt full' and `xbacktrace'.<br class=3D"" id=3D"yui_3_16_0_1_=
1451664450647_2644">For information about debugging Emacs, please read the =
file<br class=3D"" id=3D"yui_3_16_0_1_1451664450647_2646">/usr/share/emacs/=
24.3/etc/DEBUG.<br class=3D"" id=3D"yui_3_16_0_1_1451664450647_2648"><br cl=
ass=3D"" id=3D"yui_3_16_0_1_1451664450647_2650"><br class=3D"" id=3D"yui_3_=
16_0_1_1451664450647_2652">In GNU Emacs 24.3.1 (x86_64-pc-linux-gnu, GTK+ V=
ersion 3.10.7)<br class=3D"" id=3D"yui_3_16_0_1_1451664450647_2654">&nbsp;o=
f 2014-03-07 on lamiak, modified by Debian<br class=3D"" id=3D"yui_3_16_0_1=
_1451664450647_2656">Windowing system distributor `The X.Org Foundation', v=
ersion 11.0.11501000<br class=3D"" id=3D"yui_3_16_0_1_1451664450647_2658">S=
ystem Description:&nbsp;&nbsp;&nbsp; Ubuntu 14.04.3 LTS<br class=3D"" id=3D=
"yui_3_16_0_1_1451664450647_2660"><br class=3D"" id=3D"yui_3_16_0_1_1451664=
450647_2662">Configured using:<br class=3D"" id=3D"yui_3_16_0_1_14516644506=
47_2664">&nbsp;`configure '--build' 'x86_64-linux-gnu' '--build' 'x86_64-li=
nux-gnu'<br class=3D"" id=3D"yui_3_16_0_1_1451664450647_2666">&nbsp;'--pref=
ix=3D/usr' '--sharedstatedir=3D/var/lib' '--libexecdir=3D/usr/lib'<br class=
=3D"" id=3D"yui_3_16_0_1_1451664450647_2668">&nbsp;'--localstatedir=3D/var/=
lib' '--infodir=3D/usr/share/info'<br class=3D"" id=3D"yui_3_16_0_1_1451664=
450647_2670">&nbsp;'--mandir=3D/usr/share/man' '--with-pop=3Dyes'<br class=
=3D"" id=3D"yui_3_16_0_1_1451664450647_2672">&nbsp;'--enable-locallisppath=
=3D/etc/emacs24:/etc/emacs:/usr/local/share/emacs/24.3/site-lisp:/usr/local=
/share/emacs/site-lisp:/usr/share/emacs/24.3/site-lisp:/usr/share/emacs/sit=
e-lisp'<br class=3D"" id=3D"yui_3_16_0_1_1451664450647_2674">&nbsp;'--with-=
crt-dir=3D/usr/lib/x86_64-linux-gnu' '--with-x=3Dyes'<br class=3D"" id=3D"y=
ui_3_16_0_1_1451664450647_2676">&nbsp;'--with-x-toolkit=3Dgtk3' '--with-too=
lkit-scroll-bars'<br class=3D"" id=3D"yui_3_16_0_1_1451664450647_2678">&nbs=
p;'build_alias=3Dx86_64-linux-gnu' 'CFLAGS=3D-g -O2 -fstack-protector<br cl=
ass=3D"" id=3D"yui_3_16_0_1_1451664450647_2680">&nbsp;--param=3Dssp-buffer-=
size=3D4 -Wformat -Werror=3Dformat-security -Wall'<br class=3D"" id=3D"yui_=
3_16_0_1_1451664450647_2682">&nbsp;'LDFLAGS=3D-Wl,-Bsymbolic-functions -Wl,=
-z,relro'<br class=3D"" id=3D"yui_3_16_0_1_1451664450647_2684">&nbsp;'CPPFL=
AGS=3D-D_FORTIFY_SOURCE=3D2''<br class=3D"" id=3D"yui_3_16_0_1_145166445064=
7_2686"><br class=3D"" id=3D"yui_3_16_0_1_1451664450647_2688">Important set=
tings:<br class=3D"" id=3D"yui_3_16_0_1_1451664450647_2690">&nbsp; value of=
 $LANG: en_GB.UTF-8<br class=3D"" id=3D"yui_3_16_0_1_1451664450647_2692">&n=
bsp; value of $XMODIFIERS: @im=3Dibus<br class=3D"" id=3D"yui_3_16_0_1_1451=
664450647_2694">&nbsp; locale-coding-system: utf-8-unix<br class=3D"" id=3D=
"yui_3_16_0_1_1451664450647_2696">&nbsp; default enable-multibyte-character=
s: t<br class=3D"" id=3D"yui_3_16_0_1_1451664450647_2698"><br class=3D"" id=
=3D"yui_3_16_0_1_1451664450647_2700">Major mode: Fundamental<br class=3D"" =
id=3D"yui_3_16_0_1_1451664450647_2702"><br class=3D"" id=3D"yui_3_16_0_1_14=
51664450647_2704">Minor modes in effect:<br class=3D"" id=3D"yui_3_16_0_1_1=
451664450647_2706">&nbsp; tooltip-mode: t<br class=3D"" id=3D"yui_3_16_0_1_=
1451664450647_2708">&nbsp; mouse-wheel-mode: t<br class=3D"" id=3D"yui_3_16=
_0_1_1451664450647_2710">&nbsp; tool-bar-mode: t<br class=3D"" id=3D"yui_3_=
16_0_1_1451664450647_2712">&nbsp; menu-bar-mode: t<br class=3D"" id=3D"yui_=
3_16_0_1_1451664450647_2714">&nbsp; file-name-shadow-mode: t<br class=3D"" =
id=3D"yui_3_16_0_1_1451664450647_2716">&nbsp; global-font-lock-mode: t<br c=
lass=3D"" id=3D"yui_3_16_0_1_1451664450647_2718">&nbsp; blink-cursor-mode: =
t<br class=3D"" id=3D"yui_3_16_0_1_1451664450647_2720">&nbsp; auto-composit=
ion-mode: t<br class=3D"" id=3D"yui_3_16_0_1_1451664450647_2722">&nbsp; aut=
o-encryption-mode: t<br class=3D"" id=3D"yui_3_16_0_1_1451664450647_2724">&=
nbsp; auto-compression-mode: t<br class=3D"" id=3D"yui_3_16_0_1_14516644506=
47_2726">&nbsp; buffer-read-only: t<br class=3D"" id=3D"yui_3_16_0_1_145166=
4450647_2728">&nbsp; line-number-mode: t<br class=3D"" id=3D"yui_3_16_0_1_1=
451664450647_2730">&nbsp; transient-mark-mode: t<br class=3D"" id=3D"yui_3_=
16_0_1_1451664450647_2732"><br class=3D"" id=3D"yui_3_16_0_1_1451664450647_=
2734">Recent input:<br class=3D"" id=3D"yui_3_16_0_1_1451664450647_2736">&l=
t;escape&gt; x r e p o &lt;tab&gt; r &lt;tab&gt; &lt;return&gt;<br class=3D=
"" id=3D"yui_3_16_0_1_1451664450647_2738"><br class=3D"" id=3D"yui_3_16_0_1=
_1451664450647_2740">Recent messages:<br class=3D"" id=3D"yui_3_16_0_1_1451=
664450647_2742">Loading 00debian-vars...done<br class=3D"" id=3D"yui_3_16_0=
_1_1451664450647_2744">Loading /etc/emacs/site-start.d/50dictionaries-commo=
n.el (source)...<br class=3D"" id=3D"yui_3_16_0_1_1451664450647_2746">Loadi=
ng /var/cache/dictionaries-common/emacsen-ispell-dicts.el (source)...<br cl=
ass=3D"" id=3D"yui_3_16_0_1_1451664450647_2748">Error while loading 50dicti=
onaries-common: Symbol's value as variable is void: debian-aspell-only-dict=
ionary-alist<br class=3D"" id=3D"yui_3_16_0_1_1451664450647_2750">For infor=
mation about GNU Emacs and the GNU system, type C-h C-a.<br class=3D"" id=
=3D"yui_3_16_0_1_1451664450647_2752">Making completion list...<br class=3D"=
" id=3D"yui_3_16_0_1_1451664450647_2754"><br class=3D"" id=3D"yui_3_16_0_1_=
1451664450647_2756">Load-path shadows:<br class=3D"" id=3D"yui_3_16_0_1_145=
1664450647_2758">/usr/share/emacs/24.3/site-lisp/debian-startup hides /usr/=
share/emacs/site-lisp/debian-startup<br class=3D"" id=3D"yui_3_16_0_1_14516=
64450647_2760"><br class=3D"" id=3D"yui_3_16_0_1_1451664450647_2762">Featur=
es:<br class=3D"" id=3D"yui_3_16_0_1_1451664450647_2764">(shadow sort gnus-=
util mail-extr emacsbug message format-spec rfc822 mml<br class=3D"" id=3D"=
yui_3_16_0_1_1451664450647_2766">mml-sec mm-decode mm-bodies mm-encode mail=
-parse rfc2231 mailabbrev<br class=3D"" id=3D"yui_3_16_0_1_1451664450647_27=
68">gmm-utils mailheader sendmail rfc2047 rfc2045 ietf-drums mm-util<br cla=
ss=3D"" id=3D"yui_3_16_0_1_1451664450647_2770">mail-prsvr mail-utils help-m=
ode easymenu time-date tooltip ediff-hook<br class=3D"" id=3D"yui_3_16_0_1_=
1451664450647_2772">vc-hooks lisp-float-type mwheel x-win x-dnd tool-bar dn=
d fontset image<br class=3D"" id=3D"yui_3_16_0_1_1451664450647_2774">regexp=
-opt fringe tabulated-list newcomment lisp-mode register page<br class=3D""=
 id=3D"yui_3_16_0_1_1451664450647_2776">menu-bar rfn-eshadow timer select s=
croll-bar mouse jit-lock font-lock<br class=3D"" id=3D"yui_3_16_0_1_1451664=
450647_2778">syntax facemenu font-core frame cham georgian utf-8-lang misc-=
lang<br class=3D"" id=3D"yui_3_16_0_1_1451664450647_2780">vietnamese tibeta=
n thai tai-viet lao korean japanese hebrew greek<br class=3D"" id=3D"yui_3_=
16_0_1_1451664450647_2782">romanian slovak czech european ethiopic indian c=
yrillic chinese<br class=3D"" id=3D"yui_3_16_0_1_1451664450647_2784">case-t=
able epa-hook jka-cmpr-hook help simple abbrev minibuffer loaddefs<br class=
=3D"" id=3D"yui_3_16_0_1_1451664450647_2786">button faces cus-face macroexp=
 files text-properties overlay sha1 md5<br class=3D"" id=3D"yui_3_16_0_1_14=
51664450647_2788">base64 format env code-pages mule custom widget hashtable=
-print-readable<br class=3D"" id=3D"yui_3_16_0_1_1451664450647_2790">backqu=
ote make-network-process dbusbind dynamic-setting<br class=3D"" id=3D"yui_3=
_16_0_1_1451664450647_2792">system-font-setting font-render-setting move-to=
olbar gtk x-toolkit x<br class=3D"" id=3D"yui_3_16_0_1_1451664450647_2794">=
multi-tty emacs)<br class=3D"" id=3D"yui_3_16_0_1_1451664450647_2796"><br><=
/div></div></body></html>
------=_Part_4593025_1680735911.1451664893760--

------=_Part_4593026_1039524343.1451664893765
Content-Type: image/x-jg
Content-Transfer-Encoding: base64
Content-Disposition: attachment; filename=nelson.art
Content-ID: <38b0df0a-f2f4-75dc-049d-5e5d76bb53a9@HIDDEN>
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------=_Part_4593026_1039524343.1451664893765--




Acknowledgement sent to Alex Burr <ajb44.geo@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-gnu-emacs@HIDDEN. Full text available.
Report forwarded to bug-gnu-emacs@HIDDEN:
bug#22289; Package emacs. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Wed, 6 Feb 2019 18:30:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.